<%= form_with(model: purchase) do |form| %>
  <% if purchase.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(purchase.errors.count, "error") %> prohibited this purchase from being saved:</h2>

      <ul>
        <% purchase.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :name, style: "display: block" %>
    <%= form.text_field :name %>
  </div>

  <div>
    <%= form.label :cost, style: "display: block" %>
    <%= form.text_field :cost %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>
